# -*- coding: utf-8 -*-

"""Provides all the generic data related to the business."""

CURRENCY_ISO_CODES = [
    'AED',
    'AFN',
    'ALL',
    'AMD',
    'ANG',
    'AOA',
    'ARS',
    'AUD',
    'AWG',
    'AZN',
    'BAM',
    'BBD',
    'BDT',
    'BGN',
    'BHD',
    'BIF',
    'BMD',
    'BND',
    'BOB',
    'BOV',
    'BRL',
    'BSD',
    'BTN',
    'BWP',
    'BYN',
    'BYR',
    'BZD',
    'CAD',
    'CDF',
    'CHE',
    'CHF',
    'CHW',
    'CLF',
    'CLP',
    'CNY',
    'COP',
    'COU',
    'CRC',
    'CUC',
    'CUP',
    'CVE',
    'CZK',
    'DJF',
    'DKK',
    'DOP',
    'DZD',
    'EGP',
    'ERN',
    'ETB',
    'EUR',
    'FJD',
    'FKP',
    'GBP',
    'GEL',
    'GHS',
    'GIP',
    'GMD',
    'GNF',
    'GTQ',
    'GYD',
    'HKD',
    'HNL',
    'HRK',
    'HTG',
    'HUF',
    'IDR',
    'ILS',
    'INR',
    'IQD',
    'IRR',
    'ISK',
    'JMD',
    'JOD',
    'JPY',
    'KES',
    'KGS',
    'KHR',
    'KMF',
    'KPW',
    'KRW',
    'KWD',
    'KYD',
    'KZT',
    'LAK',
    'LBP',
    'LKR',
    'LRD',
    'LSL',
    'LYD',
    'MAD',
    'MDL',
    'MGA',
    'MKD',
    'MMK',
    'MNT',
    'MOP',
    'MRO',
    'MUR',
    'MVR',
    'MWK',
    'MXN',
    'MXV',
    'MYR',
    'MZN',
    'NAD',
    'NGN',
    'NIO',
    'NOK',
    'NPR',
    'NZD',
    'OMR',
    'PAB',
    'PEN',
    'PGK',
    'PHP',
    'PKR',
    'PLN',
    'PYG',
    'QAR',
    'RON',
    'RSD',
    'RUB',
    'RWF',
    'SAR',
    'SBD',
    'SCR',
    'SDG',
    'SEK',
    'SGD',
    'SHP',
    'SLL',
    'SOS',
    'SRD',
    'SSP',
    'STD',
    'SVC',
    'SYP',
    'SZL',
    'THB',
    'TJS',
    'TMT',
    'TND',
    'TOP',
    'TRY',
    'TTD',
    'TWD',
    'TZS',
    'UAH',
    'UGX',
    'USD',
    'USN',
    'UYI',
    'UYU',
    'UZS',
    'VEF',
    'VND',
    'VUV',
    'WST',
    'XAF',
    'XAG',
    'XAU',
    'XBA',
    'XBB',
    'XBC',
    'XBD',
    'XCD',
    'XDR',
    'XOF',
    'XPD',
    'XPF',
    'XPT',
    'XSU',
    'XTS',
    'XUA',
    'XXX',
    'YER',
    'ZAR',
    'ZMW',
    'ZWL',
]

CRYPTOCURRENCY_ISO_CODES = [
    'DASH',
    'ETH',
    'IOT',
    'VTC',
    'XBC',
    'XBT',
    'BTC',
    'XLM',
    'XMR',
    'XRP',
    'XZC',
    'ZEC',
]

CURRENCY_SYMBOLS = {
    'cs': 'Kč',
    'da': 'kr',
    'de': '€',
    'de-at': '€',
    'de-ch': 'Fr.',
    'el': '€',
    'en': '$',
    'en-ca': '$',
    'en-gb': '£',
    'en-au': '$',
    'es': '€',
    'es-mx': '$',
    'et': '€',
    'fa': '﷼',
    'fi': '€',
    'fr': '€',
    'hu': 'Ft',
    'is': 'kr',
    'it': '€',
    'ja': '¥',
    'kk': '‎₸',
    'ko': '₩',
    'nl': '€',
    'nl-be': '€',
    'no': 'kr',
    'pl': 'zł',
    'pt': '€',
    'pt-br': 'R$',
    'ru': '₽',
    'sv': 'kr',
    'tr': '₺',
    'uk': '₴',
    'zh': '¥',
    'default': '$',
}

CRYPTOCURRENCY_SYMBOLS = [
    'Ƀ',
    'Ł',
    'Ξ',
]
